       IDENTIFICATION DIVISION .
       PROGRAM-ID. PRO.
       AUTHOR. MIKROYAZ.
       DATE-WRITTEN. 04/03/87.
       DATE-COMPILED .
      *    BU PROGRAM MUESSESE+PROJE KODLARI DIZISI YARATIR-GUNLER.
       ENVIRONMENT DIVISION .
       INPUT-OUTPUT SECTION.
       FILE-CONTROL.
           SELECT MUSYPK   ASSIGN TO DISK
                           ORGANIZATION IS INDEXED
                           ACCESS MODE IS DYNAMIC
                           RECORD KEY KOD
                           FILE STATUS IS DURUM .
       DATA DIVISION.
       FILE SECTION.
       FD MUSYPK LABEL RECORD STANDARD VALUE OF FILE-ID 'PROJE.DAT'.
       01 YAPI.
          02 KOD.
             03 A                   PIC 9.
             03 MUES                PIC XX.
             03 PROJ.
                05 PRO              PIC X(4).
                05 BOS              PIC X(2).
          02 ADI                    PIC X(33).
       WORKING-STORAGE SECTION.
       77  ISTEK                    PIC 99 COMP VALUE 00.
       77  DURUM                    PIC XX.
       77  EKRAN-DUR                PIC X.
       SCREEN SECTION .
       01  EK1.
           02 BLANK SCREEN.
           02 LINE 04 COLUMN 25 VALUE 'T.E.K. GENEL MUHASEBE ISLEMLERI'.
           02 LINE 06 COLUMN 25 VALUE 'YERLESIM-PROJE-KAYNAK  DIZILERI'.
           02 LINE 07 COLUMN 25 VALUE '    GIRIS-DEGISIKLIK-SILME'.
           02 LINE 09 COLUMN 25 VALUE 'SECENEK       :'.
           02 LINE 10 COLUMN 45 VALUE 'Yer.:1, Pro.:2, Kay.:3'.
           02 LINE 12 COLUMN 25 VALUE 'MUESSESE KODU :'.
           02 LINE 20 COLUMN 30 VALUE ' F7: Ana Menu'.
           02 LINE 22 COLUMN 30 VALUE 'ESC: Onceki Saha'.
       01  B1.
           02 LINE 14 COLUMN 25 VALUE 'YERLESIM KODU :'.
       01  B2.
           02 LINE 14 COLUMN 25 VALUE 'PROJE    KODU :'.
       01  B3.
           02 LINE 14 COLUMN 25 VALUE 'KAYNAK   KODU :'.
       01  EK2.
           02 LINE 16 COLUMN 25 VALUE '         ADI  :'.
           02 LINE 20 COLUMN 20 VALUE
                 'F1:Degisiklik, F9:Silmek, F3:Vazgecmek'.
       01  EK3.
           02 LINE 16 COLUMN 25 VALUE '         ADI  :'.
           02 LINE 20 COLUMN 25 VALUE
                 'F3:Vazgecmek, ENTER:Kaydetmek'.
           02 LINE 22 COLUMN 22 BLINK HIGHLIGHT VALUE
                 'YERLESIM-PROJE-KAYNAK DIZISINDE YOK'.
       PROCEDURE DIVISION.
       BASLA.
           OPEN I-O MUSYPK.
           IF DURUM NOT = '00' CLOSE MUSYPK
                               OPEN OUTPUT MUSYPK
                               CLOSE MUSYPK
                               OPEN I-O MUSYPK.
           MOVE '05' TO MUES.
       OKUYAZ.
      *
      *    ILK BILGILERIN EKRANDAN ALINMASI
      *
           MOVE ' ' TO ADI.
           DISPLAY EK1.
           DISPLAY (12 41) MUES.
       A1. ACCEPT (09 41) A WITH AUTO-SKIP.
           ACCEPT ISTEK FROM ESCAPE KEY.
           IF ISTEK = 08 GO DORT.
           IF ISTEK = 0 NEXT SENTENCE ELSE GO A1.
           IF A = 0  OR  A > 3  GO A1.
           IF A = 1 DISPLAY B1 GO A3.
           IF A = 2 DISPLAY B2 GO A3.
           DISPLAY B3.
       A3.
           ACCEPT (14 41) PROJ.
           ACCEPT ISTEK FROM ESCAPE KEY.
           IF ISTEK = 01 GO A1.
           IF ISTEK = 08 GO DORT.
           IF ISTEK = 0  NEXT SENTENCE ELSE GO A3.
           IF A NOT = 2 MOVE '  ' TO BOS.
           IF PROJ = ' ' GO A3.
           READ MUSYPK INVALID KEY GO YAZ.
           GO DESIL.
       YAZ.
      *
      *    YENI GIRIS BILGISININ EKRANDAN ALINMASI VE KUTUGE YAZILMASI
      *
           DISPLAY (22 01) ERASE.
           DISPLAY EK3.
       A4. ACCEPT (16 41) ADI WITH UPDATE.
           ACCEPT ISTEK FROM ESCAPE KEY.
           IF ISTEK = 01 GO A3.
           IF ISTEK = 04 GO OKUYAZ.
           IF ISTEK = 0 NEXT SENTENCE ELSE GO A4.
           IF ADI = ' ' GO A4.
           WRITE YAPI INVALID KEY GO OKUYAZ.
           GO OKUYAZ.
       DESIL.
      *
      *    ONCEDEN GIRILMIS BIR BILGIDE DEGISIKLIK / SILME ISLEMI
      *
           DISPLAY (22 01) ERASE.
           DISPLAY EK2.
       D1. DISPLAY(16 41) ADI.
       K5. ACCEPT (17 41) EKRAN-DUR.
           ACCEPT ISTEK FROM ESCAPE KEY.
           IF ISTEK = 4 GO OKUYAZ.
           IF ISTEK = 2 GO DEGIS.
           IF ISTEK = 10 GO SIL ELSE GO K5.
       DEGIS.
      *
      *         DEGISIKLIK ISLEMI ( SADECE ADI BILGISI DEGISEBILIR )
      *
           DISPLAY (20 01) ERASE.
           DISPLAY (22 01) ERASE.
           DISPLAY (20 25) 'F3:Vazgecmek, F7:Ana Menu'.
       K6. ACCEPT (16 41) ADI WITH UPDATE.
           ACCEPT ISTEK FROM ESCAPE KEY.
           IF ISTEK = 04 GO OKUYAZ.
           IF ISTEK = 08 GO DORT.
           IF ISTEK = 0 NEXT SENTENCE ELSE GO K6.
           IF ADI = ' ' GO K6.
           REWRITE YAPI INVALID KEY GO OKUYAZ.
           GO OKUYAZ.
       SIL.
      *
      *         SILME ISLEMI
      *
           DISPLAY (20 01) ERASE.
           DISPLAY (22 01) ERASE.
           DISPLAY (20 25) 'F3:Silmekten,  F7:Ana Menu,  ENTER:Sil'.
           DISPLAY (21 25) '   Vazgecmek'.
       K7. ACCEPT (17 41) EKRAN-DUR.
           ACCEPT ISTEK FROM ESCAPE KEY.
           IF ISTEK = 0 DELETE MUSYPK RECORD GO OKUYAZ.
           IF ISTEK = 04 GO OKUYAZ.
           IF ISTEK = 08 GO DORT ELSE GO K7.
       DORT.
           CLOSE MUSYPK.
           CHAIN 'MENU.COB'.
