       IDENTIFICATION DIVISION .
       PROGRAM-ID. VHES.
       AUTHOR. ?.
       DATE-WRITTEN. 21/08/87.
       DATE-COMPILED .
      *    VERGI IADESI HESABI
      *    SON UPDATE : 4.4.89
       ENVIRONMENT DIVISION .
       SOURCE-COMPUTER. IBM-PC.
       OBJECT-COMPUTER. IBM-PC.
       INPUT-OUTPUT SECTION.
       FILE-CONTROL.
	   SELECT VIADE    ASSIGN TO DISK
			   ORGANIZATION IS INDEXED
			   ACCESS MODE IS DYNAMIC
			   RECORD KEY SCL
			   FILE STATUS IS DURUM.
       DATA DIVISION.
       FILE SECTION.
       FD VIADE  LABEL RECORD STANDARD VALUE OF FILE-ID 'VIADE.DAT'.
      *
       COPY VIADE.CPY.
      *
       WORKING-STORAGE SECTION.
       77 BEKLET		    PIC X.
       77 ISTEK 		    PIC 99.
       77 DURUM 		    PIC XX.
       77 KONT			    PIC 9 VALUE 1.
       77 GEL-TOP		    PIC 9(6).
       SCREEN SECTION.
       01  EK1.
	   02 BLANK SCREEN.
	   02 LINE 04 COLUMN 20 HIGHLIGHT VALUE
	      '       VERGI  IADESI  ISLEMLERI'.
	   02 LINE 06 COLUMN 19 HIGHLIGHT VALUE
	      '          IADE TUTARI HESABI'.
	   02 LINE 15 COLUMN 10 HIGHLIGHT VALUE
	   'HESAPLAMA ISLEMINI BASLATMAK ICIN         TUSUNA BASINIZ'.
	   02 LINE 15 COLUMN 45 REVERSE-VIDEO HIGHLIGHT VALUE 'ENTER'.
	   02 LINE 22 COLUMN 35 HIGHLIGHT VALUE 'F7:MENU'.
       01  EK11.
	   02 LINE 22 COLUMN 20 HIGHLIGHT VALUE
	      '    HESAPLAMA BASLADI. LUTFEN BEKLEYINIZ.'.
	   02 LINE 23 COLUMN 20 BLINK HIGHLIGHT VALUE
	      '    *.*.*.*.*.*.*.*.*.*.*.*.*.*.*.*.*.*.*'.
       PROCEDURE DIVISION.
       BASLA.
	   OPEN I-O VIADE.
	   IF DURUM = '30' GO DORT.
      *
       T1. DISPLAY EK1.
	   ACCEPT (23 01) BEKLET.
	   ACCEPT ISTEK FROM ESCAPE KEY.
	   IF ISTEK = 08 GO DORT.
	   IF ISTEK = 0 NEXT SENTENCE ELSE GO T1.
	   DISPLAY (15 01) ERASE.
	   DISPLAY EK11.
	   PERFORM HES THRU HES-SON UNTIL KONT = 0.
       DORT.
	   CLOSE VIADE.
	   CHAIN 'VIADE.COB'.
       HES.
	   READ VIADE NEXT AT END MOVE 0 TO KONT.
	   IF KONT = 0 OR SR = 0 OR V-FAT = 0 OR V-HES = 0 GO HES-SON.
      *
	   COMPUTE GEL-TOP = V-MAAS + V-IKR + V-RAPOR + V-IZIN.
	   COMPUTE GEL-TOP = GEL-TOP + V-DIGER.
	   IF V-FAT > GEL-TOP COMPUTE V-FAT = GEL-TOP.
	   IF V-FAT NOT < 100000
	     COMPUTE V-IADE = 14500 + ( V-FAT - 100000 ) * 0.05
	       ELSE IF V-FAT NOT < 60000
		 COMPUTE V-IADE = 10500 + ( V-FAT - 60000 ) * 0.1
		   ELSE IF V-FAT NOT < 30000
		     COMPUTE V-IADE = 6000 + ( V-FAT - 30000 ) * 0.15
		       ELSE  COMPUTE V-IADE = V-FAT * 0.2.
	   COMPUTE V-PUL = V-IADE * 0.005 + 0.5.
	   COMPUTE V-NET = V-IADE - V-PUL.
	   MOVE 0 TO V-HES.
	   REWRITE VERGI-IADE INVALID KEY DISPLAY 'UL' STOP RUN.
       HES-SON.
	   EXIT.
