       IDENTIFICATION DIVISION .
       PROGRAM-ID. VICMAL.
       AUTHOR. ?.
       DATE-WRITTEN. 21/08/87.
       DATE-COMPILED .
      *    VERGI IADESI        ***  ICMAL  ***
      *    SON UPDATE : 4.4.89	//  26.03.90
       ENVIRONMENT DIVISION .
       SOURCE-COMPUTER. IBM-PC.
       OBJECT-COMPUTER. IBM-PC.
       INPUT-OUTPUT SECTION.
       FILE-CONTROL.
	   SELECT DOKUM    ASSIGN TO PRINTER.
	   SELECT VIADE    ASSIGN TO DISK
			   ORGANIZATION IS INDEXED
			   ACCESS MODE IS DYNAMIC
			   RECORD KEY SCL
			   FILE STATUS IS DURUM.
	   SELECT GENEL    ASSIGN TO DISK
			   ORGANIZATION IS INDEXED
			   ACCESS MODE IS DYNAMIC
			   RECORD KEY KSRK
			   FILE STATUS IS DURUM1.
       DATA DIVISION.
       FILE SECTION.
       FD GENEL  LABEL RECORD STANDARD VALUE OF FILE-ID 'GENEL.DAT'.
      *
       COPY SRKPAR.CPY.
      *
       FD VIADE  LABEL RECORD STANDARD VALUE OF FILE-ID 'VIADE.DAT'.
      *
       COPY VIADE.CPY.
      *
       FD DOKUM  LABEL RECORD IS OMITTED.
       01 SATIR 		    PIC X(80).
       WORKING-STORAGE SECTION.
       77 ISTEK 		    PIC 99.
       77 DURUM 		    PIC XX.
       77 DURUM1		    PIC XX.
       77 KONT			    PIC 9 VALUE 1.
       77 BOL-KOD		    PIC 99.
       77 AY			    PIC 99.
       77 YIL			    PIC 99.
       77 KISI-BT		    PIC 9999 VALUE 0.
       77 KISI-GT		    PIC 9999 VALUE 0.
      *
       77 FAT-BT		    PIC 9(10) VALUE 0.
       77 IADE-BT		    PIC 9(9) VALUE 0.
       77 PUL-BT		    PIC 9(7) VALUE 0.
       77 NET-BT		    PIC 9(9) VALUE 0.
      *
       77 FAT-GT		    PIC 9(10) VALUE 0.
       77 IADE-GT		    PIC 9(9) VALUE 0.
       77 PUL-GT		    PIC 9(7) VALUE 0.
       77 NET-GT		    PIC 9(9) VALUE 0.
      * 	      **********
       01 AYLAR.
	  02 FILLER PIC X(42) VALUE
	      '  OCAK  SUBAT   MART  NISAN  MAYIS HAZIRAN'.
	  02 FILLER PIC X(42) VALUE
	      ' TEMMUZAGUSTOS EYLUL  EKIM   KASIM  ARALIK'.
       01 AYADI REDEFINES AYLAR.
	  02 AY-AD PIC X(7) OCCURS 12 TIMES.
       01 BOS-SATIR.
	   02 F 		    PIC X(80) VALUE ALL SPACES.
       01 CIZ
	   02 F 		    PIC X(80) VALUE ALL '-'.
       01 BAS.
	   02 Y-SAD		    PIC X(20).
	   02 F 		    PIC X(15) VALUE ALL SPACES.
	   02 F 		    PIC X(30) VALUE
	      'VERGI IADESI ICMALI'.
	   02 Y-AY		    PIC X(8).
	   02 F 		    PIC X(4) VALUE '- 19'.
	   02 Y-YIL		    PIC 99.
       01  BAS1.
	   02 F 		    PIC X(40) VALUE
	   '   KURUM  ADI     KISI  FATURA TOPLAMI'.
	   02 F 		    PIC X(40) VALUE
	   'V.IADE TUTARI    P U L        N E T'.
       01  CIZ1.
	   02 F 		    PIC X(40) VALUE
	   ' ---------------  ----  --------------  '.
	   02 F 		    PIC X(40) VALUE
	   '-------------  ----------  -------------'.
       01  YAZ.
	   02 F 		    PIC X VALUE ' '.
	   02 Y-SUA		    PIC X(15).
	   02 F 		    PIC XX VALUE '. '.
	   02 Y-KISI		    PIC ZZZ9BB.
	   02 Y-FAT		    PIC z,ZZZ,ZZZ,ZZ9bBB.
	   02 Y-IADE		    PIC zZZ,ZZZ,ZZ9bbBB.
	   02 Y-PUL		    PIC z,ZZZ,ZZ9bBB.
	   02 Y-NET		    PIC zZZ,ZZZ,ZZ9bb.
       SCREEN SECTION.
       01  EK1.
	   02 BLANK SCREEN.
	   02 LINE 04 COLUMN 20 HIGHLIGHT VALUE
	      '       VERGI  IADESI  ISLEMLERI'.
	   02 LINE 06 COLUMN 20 HIGHLIGHT VALUE
	      '            ICMAL  LISTESI'.
	   02 LINE 08 COLUMN 20 HIGHLIGHT VALUE
	      'V.IADESI  AY  KODU :'.
	   02 LINE 10 COLUMN 30 HIGHLIGHT VALUE 'YIL KODU :'.
	   02 LINE 20 COLUMN 20 HIGHLIGHT VALUE
	       ' ENTER A BASMADAN ONCE YAZICIYI ACINIZ.'.
	   02 LINE 22 COLUMN 20 HIGHLIGHT VALUE
	      '   F7:MENU, ESC:GERI, ENTER:ILERI'.
       01  HATA2.
	   02 LINE 24 COLUMN 20 BLINK HIGHLIGHT VALUE
	      '    *** AY/YIL KODU HATALI  ***'.
       PROCEDURE DIVISION.
       BASLA.
	   OPEN I-O VIADE GENEL
		OUTPUT DOKUM.
	   IF DURUM = '30' OR DURUM1 = '30' GO DORT.
       OKUYAZ.
	   DISPLAY EK1.
       T1. ACCEPT (08 41) AY WITH UPDATE.
	   ACCEPT ISTEK FROM ESCAPE KEY.
	   IF ISTEK = 08 GO DORT.
	   IF ISTEK = 0 NEXT SENTENCE ELSE GO T1.
       T2. ACCEPT (10 41) YIL WITH UPDATE.
	   ACCEPT ISTEK FROM ESCAPE KEY.
	   IF ISTEK = 01 GO T1.
	   IF ISTEK = 08 GO DORT.
	   IF ISTEK = 0 NEXT SENTENCE ELSE GO T2.
	   IF AY = 0 OR AY > 12 OR YIL = 0 DISPLAY HATA2 GO T1.
	   DISPLAY (22 01) ERASE.
	   READ VIADE NEXT AT END GO SONA.
	   MOVE BL TO KSRK.
	   READ GENEL INVALID KEY DISPLAY 'UL GENEL' STOP RUN.
	   MOVE SAD TO Y-SAD.
	   MOVE SUA TO Y-SUA.
	   MOVE AY-AD(AY) TO Y-AY.
	   MOVE YIL TO Y-YIL.
	   WRITE SATIR FROM BAS AFTER 2.
	   WRITE SATIR FROM BAS1 AFTER 2.
	   WRITE SATIR FROM CIZ1.
      *
	   PERFORM TOPLA THRU TOP-SON UNTIL KONT = 0.
       DORT.
      *  GENEL TOPLAMI YAZDIRMA ISLEMLERI
	   MOVE '* GENEL TOPLAM *' TO Y-SUA.
	   MOVE KISI-GT  TO Y-KISI.
	   MOVE FAT-GT	 TO Y-FAT.
	   MOVE IADE-GT  TO Y-IADE.
	   MOVE PUL-GT	 TO Y-PUL.
	   MOVE NET-GT	 TO Y-NET.
	      WRITE SATIR FROM CIZ AFTER 0.
	      WRITE SATIR FROM YAZ AFTER 2.
       SONA.
	   CLOSE VIADE GENEL DOKUM.
	   CHAIN 'VIADE.COB'.
       TOPLA.
	   READ VIADE NEXT AT END MOVE 0 TO KONT.
	   IF KONT = 0	PERFORM BOL-SON  GO TOP-SON.
	   IF BL NOT = KSRK  PERFORM BOL-SON THRU BOL-XX.
	   IF V-NET = 0  GO TOP-SON.
      *
      *  BOLUM TOPLAMLARINA YIGDIRMA ISLEMLERI
	   ADD 1 TO KISI-BT.
      *
	   ADD V-FAT   TO FAT-BT.
	   ADD V-IADE  TO IADE-BT.
	   ADD V-PUL   TO PUL-BT.
	   ADD V-NET   TO NET-BT.
       TOP-SON.
	   EXIT.
       BOL-SON.
      *
      *  BOLUM TOPLARINI TASIMA - YAZDIRMA - SIFIRLAMA ISLEMLERI
	      MOVE FAT-BT   TO Y-FAT.
	      MOVE IADE-BT  TO Y-IADE.
	      MOVE PUL-BT   TO Y-PUL.
	      MOVE NET-BT   TO Y-NET.
	      MOVE KISI-BT   TO Y-KISI.
	      WRITE SATIR FROM YAZ AFTER 2.
	      WRITE SATIR FROM CIZ AFTER 2.
      *  BOLUM TOPLAMLARINI GENEL TOPLAMA YIGDIRMA ISLEMLERI
	      ADD KISI-BT TO KISI-GT.
      *
	      ADD FAT-BT  TO FAT-GT.
	      ADD IADE-BT TO IADE-GT.
	      ADD PUL-BT  TO PUL-GT.
	      ADD NET-BT  TO NET-GT.
       BOL-XX.
      *
	      MOVE 0 TO KISI-BT.
	      MOVE 0 TO FAT-BT IADE-BT PUL-BT NET-BT.
	      MOVE BL TO KSRK.
	      READ GENEL INVALID KEY DISPLAY 'ULG' GO DORT.
	      MOVE SAD TO Y-SAD.
	      MOVE SUA TO Y-SUA.
	      READ VIADE NEXT AT END GO DORT.
       END-OF-JOB.
