       IDENTIFICATION DIVISION .
       PROGRAM-ID. VLIS.
       AUTHOR. ?.
       DATE-WRITTEN. 19/08/87.
       DATE-COMPILED .
      *    VERGI IADE IMZA LISTESI
      *    SON UPDATE : 4.4.89
       ENVIRONMENT DIVISION .
       SOURCE-COMPUTER. IBM-PC.
       OBJECT-COMPUTER. IBM-PC.
       INPUT-OUTPUT SECTION.
       FILE-CONTROL.
	   SELECT DOKUM    ASSIGN TO PRINTER.
	   SELECT VIADE    ASSIGN TO DISK
			   ORGANIZATION IS INDEXED
			   ACCESS MODE IS DYNAMIC
			   RECORD KEY SCL
			   FILE STATUS IS DURUM.
	   SELECT GENEL    ASSIGN TO DISK
			   ORGANIZATION IS INDEXED
			   ACCESS MODE IS DYNAMIC
			   RECORD KEY KSRK.
       DATA DIVISION.
       FILE SECTION.
       FD VIADE LABEL RECORD STANDARD VALUE OF FILE-ID 'VIADE.DAT'.
      *
       COPY VIADE.CPY.
      *
       FD GENEL LABEL RECORD STANDARD VALUE OF FILE-ID 'GENEL.DAT'.
      *
       COPY SRKPAR.CPY.
      *
       FD DOKUM  LABEL RECORD IS OMITTED.
       01 SATIR 		    PIC X(132).
       WORKING-STORAGE SECTION.
       77 ISTEK 		    PIC 99.
       77 AY			    PIC 99.
       77 YIL			    PIC 99.
       77 DURUM 		    PIC XX.
       77 KONT			    PIC 9 VALUE 1.
       77 BOL-KOD		    PIC 99.
       77 KEST			    PIC 9(6).
       77 SAYNO 		    PIC 99 VALUE 0.
       77 KISI			    PIC 9  VALUE 0.
       77 GEL-TOP		    PIC 9(6).
       77 SSON-KONT		    PIC 9 VALUE 0.
       01 AYLAR.
	  02 FILLER PIC X(42) VALUE
	      '  OCAK  SUBAT   MART  NISAN  MAYIS HAZIRAN'.
	  02 FILLER PIC X(42) VALUE
	      ' TEMMUZAGUSTOS EYLUL  EKIM   KASIM  ARALIK'.
       01 AYADI REDEFINES AYLAR.
	  02 AY-AD PIC X(7) OCCURS 12 TIMES.
       01 BOS-SATIR.
	   02 F 		    PIC X(80) VALUE ALL SPACES.
       01 CIZ.
	   02 F 		    PIC X(80) VALUE ALL '-'.
       01 BAS0.
	   02 F 		    PIC X(30) VALUE ALL SPACES.
	   02 Y-SAD		    PIC X(20).
	   02 F 		    PIC X(15) VALUE ALL SPACES.
	   02 Y-AY		    PIC X(8).
	   02 F 		    PIC X(4) VALUE '- 19'.
	   02 Y-YIL		    PIC 99.
       01 BAS.
	   02 Y-SUA		    PIC X(30).
	   02 F 		    PIC X(20) VALUE
				    ' VERGI IADE LISTESI'.
	   02 F 		    PIC X(20) VALUE ALL SPACES.
	   02 F 		    PIC X(7) VALUE 'SAYFA: '.
	   02 Y-SAYNO		    PIC Z9.
       01 BAS1.
	   02 F 		    PIC X(40) VALUE
	   'SIC.NO    A D I  S O Y A D I    TOP.GEL '.
	   02 F 		    PIC X(40) VALUE
	   ' FATURA  V.I.TUT  PUL   NET ODEME  IMZA '.
       01 CIZ1.
	   02 F 		    PIC X(40) VALUE
	   '------ ------------------------ ------- '.
	   02 F 		    PIC X(40) VALUE
	   ' ------  -------  ----- --------- ------'.
       01 YAZ1.
	   02 Y-BL		    PIC 99.
	   02 F 		    PIC X  VALUE '-'.
	   02 Y-SR		    PIC 999B.
	   02 Y-ADSOY		    PIC X(24)B.
	   02 Y-GELIR		    PIC ZZZZZZ9.
	   02 Y-FAT		    PIC ZZZZZZZ9.
	   02 Y-IADE		    PIC ZZZZZZZ9.
	   02 Y-PUL		    PIC ZZZZZZ9BBBB.
	   02 Y-NET		    PIC ZZ,ZZ9.
       SCREEN SECTION.
       01  EK1.
	   02 BLANK SCREEN.
	   02 LINE 04 COLUMN 20 HIGHLIGHT VALUE
	      '       VERGI  IADESI  ISLEMLERI'.
	   02 LINE 06 COLUMN 20 HIGHLIGHT VALUE
	      '         ODEME LISTESI BASIMI'.
	   02 LINE 08 COLUMN 25 HIGHLIGHT VALUE
	      'V.IADESI  AY  KODU :'.
	   02 LINE 10 COLUMN 35 HIGHLIGHT VALUE 'YIL KODU :'.
	   02 LINE 14 COLUMN 20 HIGHLIGHT VALUE
	      'LISTELENECEK BOLUMUN KODUNU GIRINIZ =>'.
	   02 LINE 16 COLUMN 20 HIGHLIGHT VALUE
	      '( TUM BOLUMLER ICIN  BOLUM KODU = 99 )'.
	   02 LINE 18 COLUMN 20 HIGHLIGHT VALUE
	      'ENTER A BASMADAN ONCE YAZICIYI ACINIZ.'.
	   02 LINE 22 COLUMN 20 HIGHLIGHT VALUE
	      '   F7:MENU, ESC:GERI, ENTER:ILERI'.
       01  HATA1.
	   02 LINE 24 COLUMN 20 BLINK HIGHLIGHT VALUE
	      '    ***  BOLUM KODU HATALI  ***'.
       01  HATA2.
	   02 LINE 24 COLUMN 20 BLINK HIGHLIGHT VALUE
	      '   ***  AY/YIL KODU HATALI  ***'.
       PROCEDURE DIVISION.
       BASLA.
	   OPEN INPUT  VIADE GENEL
		OUTPUT DOKUM.
	   IF DURUM  = '30' GO DORT.
       OKUYAZ.
	   DISPLAY EK1.
       T1. ACCEPT (08 46) AY WITH UPDATE.
	   ACCEPT ISTEK FROM ESCAPE KEY.
	   IF ISTEK = 08 GO DORT.
	   IF ISTEK = 0 NEXT SENTENCE ELSE GO T1.
       T2. ACCEPT (10 46) YIL WITH UPDATE.
	   ACCEPT ISTEK FROM ESCAPE KEY.
	   IF ISTEK = 01 GO T1.
	   IF ISTEK = 08 GO DORT.
	   IF ISTEK = 0 NEXT SENTENCE ELSE GO T2.
	   IF AY = 0 OR AY > 12 OR YIL = 0 DISPLAY HATA2 GO T1.
	   DISPLAY (24 01) ERASE.
       T3. ACCEPT (14 59) BOL-KOD.
	   ACCEPT ISTEK FROM ESCAPE KEY.
	   IF ISTEK = 01 GO T2.
	   IF ISTEK = 08 GO DORT.
	   IF ISTEK = 0 NEXT SENTENCE ELSE GO T3.
	   IF BOL-KOD = 0 GO T3.
	   IF BOL-KOD = 99 MOVE 01 TO BL
		     ELSE  MOVE BOL-KOD TO BL.
	   MOVE BL TO KSRK.
	   READ GENEL INVALID KEY DISPLAY HATA1 GO T3.
	   DISPLAY (22 01) ERASE.
	   MOVE AY-AD(AY) TO Y-AY.
	   MOVE YIL TO Y-YIL.
	   MOVE SAD TO Y-SAD.
	   MOVE SUA TO Y-SUA.
	   PERFORM SAYFA.
	   MOVE 1 TO SSON-KONT.
	   MOVE 0	TO SR.
	   READ VIADE INVALID KEY GO DORT.
      *
	   PERFORM YAZ THRU YX UNTIL KONT = 0.
       DORT.
	   CLOSE VIADE GENEL DOKUM.
	   CHAIN 'VIADE.COB'.
       YAZ.
	   READ VIADE NEXT AT END MOVE 0 TO KONT.
	   IF KONT = 0 GO YX.
	   IF BL NOT = KSRK PERFORM BOL-SON.
	   IF V-NET = 0 OR V-HES = 1 GO YX.
      *
	   MOVE BL     TO Y-BL.
	   MOVE SR     TO Y-SR.
	   MOVE AD-SOY TO Y-ADSOY.
	   COMPUTE GEL-TOP = V-MAAS + V-IKR + V-RAPOR + V-IZIN.
	   COMPUTE GEL-TOP = GEL-TOP + V-DIGER.
	   MOVE GEL-TOP TO Y-GELIR.
	   MOVE V-FAT	TO Y-FAT.
	   MOVE V-IADE	TO Y-IADE.
	   MOVE V-PUL	TO Y-PUL.
	   MOVE V-NET	TO Y-NET.
	   WRITE SATIR FROM YAZ1.
	   WRITE SATIR FROM CIZ AFTER 2.
	   ADD 1 TO KISI.
	   IF KISI = 21 PERFORM SAYFA.
       YX. EXIT.
       BOL-SON.
	   IF BL > BOL-KOD GO DORT.
	   MOVE BL TO KSRK.
	   READ GENEL INVALID KEY DISPLAY 'ULG' GO DORT.
	   MOVE SAD TO Y-SAD.
	   MOVE SUA TO Y-SUA.
	   READ VIADE NEXT AT END GO DORT.
	   MOVE 0 TO SAYNO.
	   PERFORM SAYFA.
       SAYFA.
	   MOVE 0 TO KISI.
	   ADD	1 TO SAYNO.
	   MOVE SAYNO TO Y-SAYNO.
	   IF SSON-KONT = 1
		   WRITE SATIR FROM BAS0 AFTER PAGE
	      ELSE WRITE SATIR FROM BAS0.
	   WRITE SATIR FROM BAS  AFTER 2.
	   WRITE SATIR FROM BAS1 AFTER 3.
	   WRITE SATIR FROM CIZ1.
