       IDENTIFICATION DIVISION .
       PROGRAM-ID. VOLUS.
       AUTHOR. ?.
       DATE-WRITTEN. 21/08/87.
       DATE-COMPILED .
      *  VERGI IADE KUTUGU AYLIK BILGI SECTIRME
      *  SON UPDATE : 4.4.89  //  26.03.90
       ENVIRONMENT DIVISION .
       SOURCE-COMPUTER. IBM-PC.
       OBJECT-COMPUTER. IBM-PC.
       INPUT-OUTPUT SECTION.
       FILE-CONTROL.
	   SELECT PERSBT   ASSIGN TO DISK
			   ORGANIZATION IS INDEXED
			   ACCESS MODE IS DYNAMIC
			   RECORD KEY SICIL.
	   SELECT IKRAM    ASSIGN TO DISK
			   ORGANIZATION IS INDEXED
			   ACCESS MODE IS DYNAMIC
			   RECORD KEY SICNO
			   FILE STATUS IS DURUM.
	   SELECT VIADE    ASSIGN TO DISK
			   ORGANIZATION IS INDEXED
			   ACCESS MODE IS DYNAMIC
			   RECORD KEY SCL.
	   SELECT RAPOR    ASSIGN TO DISK
			   ORGANIZATION IS INDEXED
			   ACCESS MODE IS DYNAMIC
			   RECORD KEY R-SICIL
			   FILE STATUS IS DURUM1.
	   SELECT IZIN	   ASSIGN TO DISK
			   ORGANIZATION IS INDEXED
			   ACCESS MODE IS DYNAMIC
			   RECORD KEY I-SICIL
			   FILE STATUS IS DURUM2.
       DATA DIVISION.
       FILE SECTION.
       FD VIADE  LABEL RECORD STANDARD VALUE OF FILE-ID 'VIADE.DAT'.
      *
       COPY VIADE.CPY.
      *
       FD PERSBT LABEL RECORD STANDARD VALUE OF FILE-ID 'PERSBT.DAT'.
      *
       COPY PERSBT.CPY.
      *
       FD IKRAM  LABEL RECORD STANDARD VALUE OF FILE-ID 'IKRAM.DAT'.
      *
      * DEGISKEN BENZERLIKLERINDEN DOLAYI IKRMYE.CPY  COPY EDILEMEDI
       01 IKR-YAPI.
	  02 SICNO		    PIC 9(5).
	  02 ADSOY		    PIC X(24).
	  02 I-UC		    PIC 9(6) COMP-3.
	  02 I-KVM		    PIC 9(8) COMP-3.
	  02 I-GN		    PIC 99.
	  02 I-TUTAR		    PIC 9(7) COMP-3.
	  02 I-VRG		    PIC 9(7) COMP-3.
	  02 I-PL		    PIC 9(5) COMP-3.
	  02 I-NT		    PIC 9(7) COMP-3.
	  02 I-HES		    PIC 9.
      *
       FD RAPOR  LABEL RECORD STANDARD VALUE OF FILE-ID 'RAPOR.DAT'.
      *
       COPY RAPOR.CPY.
      *
       FD IZIN	 LABEL RECORD STANDARD VALUE OF FILE-ID 'IZIN.DAT'.
      *
       COPY IZIN.CPY.
      *
       WORKING-STORAGE SECTION.
       77 ISTEK 		    PIC 99.
       77 BEKLET		    PIC X.
       77 DURUM 		    PIC XX.
       77 DURUM1		    PIC XX.
       77 DURUM2		    PIC XX.
       77 KONT			    PIC 9 VALUE 1.
       77 MTOP			    PIC 9(7).
       77 RTOP			    PIC 9(7).
       77 ITOP			    PIC 9(7).
       SCREEN SECTION.
       01  EK1.
	   02 BLANK SCREEN.
	   02 LINE 03 COLUMN 20 HIGHLIGHT VALUE
	      '       VERGI  IADE  ISLEMLERI'.
	   02 LINE 05 COLUMN 20 HIGHLIGHT VALUE
	      ' AYLIK GELIR DIZISI OLUSTURMA ISLEMI'.
	   02 LINE 07 COLUMN 20 HIGHLIGHT VALUE
	      '        ***  TUM BOLUMLER  ***'.
	   02 LINE 15 COLUMN 20 HIGHLIGHT VALUE
	      'ISLEMI BASLATMAK ICIN  ENTER TUSUNA BASINIZ'.
	   02 LINE 22 COLUMN 30 HIGHLIGHT VALUE 'F7:MENU'.
       01. KIBAR-OL.
	   02 LINE 20 COLUMN 20 HIGHLIGHT VALUE
	      '         LUTFEN  BEKLEYINIZ'.
	   02 LINE 21 COLUMN 20 BLINK HIGHLIGHT VALUE
	      '         *.*.*.*.*.*.*.*.*.'.
       PROCEDURE DIVISION.
       BASLA.
	   OPEN I-O    IKRAM
		INPUT  PERSBT RAPOR IZIN
		OUTPUT VIADE.
	   IF DURUM  = '30' CLOSE IKRAM
			    OPEN OUTPUT IKRAM
			    CLOSE IKRAM
			    OPEN I-O IKRAM.
	   IF DURUM1 = '30' CLOSE RAPOR
			    OPEN OUTPUT RAPOR
			    CLOSE RAPOR
			    OPEN INPUT RAPOR.
	   IF DURUM2 = '30' CLOSE IZIN
			    OPEN OUTPUT IZIN
			    CLOSE IZIN
			    OPEN INPUT IZIN.
	   IF DURUM  NOT = '00' OR DURUM1 NOT = '00' OR
	      DURUM2 NOT = '00' GO DORT.
       OKUYAZ.
	   DISPLAY EK1.
       T1. ACCEPT (23 01) BEKLET.
	   ACCEPT ISTEK FROM ESCAPE KEY.
	   IF ISTEK = 08 GO DORT.
	   IF ISTEK = 0 NEXT SENTENCE ELSE GO T1.
	   DISPLAY (20 01) ERASE.
	   DISPLAY KIBAR-OL.
	   PERFORM YAZ THRU YX UNTIL KONT = 0.
       DORT.
	   CLOSE PERSBT IKRAM VIADE RAPOR IZIN.
	   CHAIN 'VIADE.COB'.
       YAZ.
	   READ PERSBT NEXT AT END MOVE 0 TO KONT.
	   IF KONT = 0 OR IPTAL = '*' GO YX.
	   IF IPTAL = 'G' PERFORM BOL-SON GO YX.
	   MOVE 0 TO V-IKR V-MAAS V-DIGER V-FAT V-IADE V-PUL V-NET.
	   MOVE 0 TO V-RAPOR V-IZIN.
	   MOVE SICIL  TO SICNO R-SICIL I-SICIL SCL.
	   MOVE ADI    TO AD-SOY.
	     COMPUTE MTOP = NET + SENKES + DAYKES + LOJM.
	     COMPUTE MTOP = MTOP + DISIP + ICRA.
	       MOVE  MTOP TO V-MAAS.
      *  IKRAMIYE BILGISI ARAMA-TASIMA
	   READ IKRAM INVALID KEY GO GEC.
	    MOVE I-NT TO V-IKR.
      *  RAPOR BILGISI ARAMA-TASIMA
       GEC.
	   READ RAPOR INVALID KEY GO GEC1.
		COMPUTE RTOP = R-NET + R-SENKES + R-DAYKES + R-LOJM.
		COMPUTE RTOP = RTOP  + R-DISIP	+ R-ICRA.
		  MOVE	RTOP TO V-RAPOR.
      *  IZIN  BILGISI ARAMA-TASIMA
       GEC1.
	   READ IZIN  INVALID KEY GO GEC2.
		COMPUTE ITOP = I-NET + I-SENKES + I-DAYKES + I-LOJM.
		COMPUTE ITOP = ITOP  + I-DISIP	+ I-ICRA + I-HARC.
		  MOVE	ITOP TO V-IZIN.
       GEC2.
	   WRITE VERGI-IADE INVALID KEY DISPLAY 'UL VIADE' STOP RUN.
	   DELETE IKRAM.
       YX. EXIT.
       BOL-SON.
	   MOVE BOLUM TO BL.
	   MOVE 0     TO SR.
	   WRITE VERGI-IADE INVALID KEY DISPLAY 'UL VIADE 000' STOP RUN.
       END-OF-JOB.
