       IDENTIFICATION DIVISION.
       PROGRAM-ID. PRO.
       AUTHOR. GULCIN ILKEM.
      *Bu program zlk bilgileri dosyasn sorgular.
       ENVIRONMENT DIVISION.
       INPUT-OUTPUT SECTION.
       FILE-CONTROL.
           SELECT OZLUK ASSIGN TO DISK
                        ORGANIZATION IS INDEXED
                        ACCESS MODE IS DYNAMIC
                        RECORD KEY OZNO
                        FILE STATUS DURUM.
       DATA DIVISION.
       FILE SECTION.
       FD OZLUK LABEL RECORD STANDARD VALUE OF FILE-ID "OZLUK.DAT".
      ***
       COPY OZ.CPY.
      ***
       WORKING-STORAGE SECTION.
       77 SEC PIC X.
       77 DURUM PIC XX.
       SCREEN SECTION.
       01 EKRAN1.
          02 BLANK SCREEN.
          02 LINE 02 COLUMN 21 HIGHLIGHT VALUE
                '***** ZLK BLGLER DEKLK LEM ***** '.
          02 LINE 06 COLUMN 03 HIGHLIGHT VALUE
                          'NO:'.
       01 EKRAN2.
          02 LINE 07 COLUMN 03 HIGHLIGHT VALUE
                        'SOYADI:'.
          02 LINE 07 COLUMN 38 HIGHLIGHT VALUE
                        'ADI:'.
          02 LINE 09 COLUMN 03 HIGHLIGHT VALUE
                        'CNSYET:'.
          02 LINE 09 COLUMN 29 HIGHLIGHT VALUE
                        'BABA ADI:'.
          02 LINE 09 COLUMN 55 HIGHLIGHT VALUE
                        'ANA ADI:'.
          02 LINE 10 COLUMN 03 HIGHLIGHT VALUE
                        'D.YER:'.
          02 LINE 10 COLUMN 29 HIGHLIGHT VALUE
                        'DOUM TARH:'.
          02 LINE 10 COLUMN 55 HIGHLIGHT VALUE
                        'MEDEN HAL:'.
          02 LINE 11 COLUMN 03 HIGHLIGHT VALUE
                        'DN:'.
          02 LINE 11 COLUMN 29 HIGHLIGHT VALUE
                        'UYRUU:'.
          02 LINE 11 COLUMN 55 HIGHLIGHT VALUE
                        'KAN GRUBU:'.
          02 LINE 13 COLUMN 03 HIGHLIGHT UNDERLINE VALUE
                        'KAYITLI OLDUU:'.
          02 LINE 15 COLUMN 03 HIGHLIGHT VALUE
                        'L:'.
          02 LINE 15 COLUMN 29 HIGHLIGHT VALUE
                        'LE:'.
          02 LINE 15 COLUMN 55 HIGHLIGHT VALUE
                        'MAH.:'.
          02 LINE 16 COLUMN 03 HIGHLIGHT VALUE
                        'CLT NO:'.
          02 LINE 16 COLUMN 29 HIGHLIGHT VALUE
                        'ALE SIRA NO:'.
          02 LINE 16 COLUMN 55 HIGHLIGHT VALUE
                        'SIRA NO:'.
          02 LINE 17 COLUMN 03 HIGHLIGHT VALUE
                        'V.YER:'.
          02 LINE 17 COLUMN 29 HIGHLIGHT VALUE
                        'VER.NEDEN:'.
          02 LINE 17 COLUMN 55 HIGHLIGHT VALUE
                        'KAYIT NO:'.
          02 LINE 18 COLUMN 03 HIGHLIGHT VALUE
                        'VERL TARH:'.
          02 LINE 18 COLUMN 29 HIGHLIGHT VALUE
                        'CZDAN SER:'.
          02 LINE 18 COLUMN 55 HIGHLIGHT VALUE
                        'SIRA NO:'.
          02 LINE 19 COLUMN 03 HIGHLIGHT VALUE
                        'KAMETGAHI:'.
          02 LINE 22 COLUMN 03 HIGHLIGHT VALUE
                        'KAYIT TARH:'.
          02 LINE 22 COLUMN 29 HIGHLIGHT VALUE
                        'MEZUNYET TARH:'.
          02 LINE 22 COLUMN 55 HIGHLIGHT VALUE
                        'DISIP./RAP.:'.
          02 LINE 23 COLUMN 03 HIGHLIGHT VALUE
                        'ASKERLK UBES:'.
       01 EKRAN3.
          02 LINE 07 COLUMN 10 PIC X(15) USING OZSOY.
          02 LINE 07 COLUMN 42 PIC X(15) USING OZAD.
          02 LINE 09 COLUMN 13 PIC X USING CINS.
          02 LINE 09 COLUMN 38 PIC X(15) USING BABA.
          02 LINE 09 COLUMN 63 PIC X(15) USING ANA.
          02 LINE 10 COLUMN 09 PIC X(20) USING DYER.
          02 LINE 10 COLUMN 42 PIC 9(6) USING DTARIH.
          02 LINE 10 COLUMN 67 PIC X USING MHAL.
          02 LINE 11 COLUMN 08 PIC X USING DIN.
          02 LINE 11 COLUMN 36 PIC 99 USING UYRUK.
          02 LINE 11 COLUMN 65 PIC X(3) USING KAN.
          02 LINE 15 COLUMN 06 PIC X(20) USING IL.
          02 LINE 15 COLUMN 34 PIC X(20) USING ILCE.
          02 LINE 15 COLUMN 60 PIC X(20) USING M-KOY.
          02 LINE 16 COLUMN 11 PIC X(6) USING CILT.
          02 LINE 16 COLUMN 42 PIC 9(5) USING A-SIRA.
          02 LINE 16 COLUMN 63 PIC 9(5) USING SIRA.
          02 LINE 17 COLUMN 09 PIC X(20) USING V-YER.
          02 LINE 17 COLUMN 40 PIC X(10) USING V-NEDEN.
          02 LINE 17 COLUMN 64 PIC 9(5) USING KAYITNO.
          02 LINE 18 COLUMN 18 PIC 9(6) USING VTARIH.
          02 LINE 18 COLUMN 41 PIC X(3) USING SERI.
          02 LINE 18 COLUMN 63 PIC 9(7) USING C-SIRA.
          02 LINE 19 COLUMN 14 PIC X(40) USING MAH.
          02 LINE 20 COLUMN 14 PIC X(40) USING CAD-SOK.
          02 LINE 21 COLUMN 14 PIC X(40) USING IL-ILCE.
          02 LINE 22 COLUMN 16 PIC 9(4) USING K-TARIH.
          02 LINE 22 COLUMN 46 PIC 9(6) USING A-TARIH.
          02 LINE 22 COLUMN 67 PIC 9 USING A-KOD.
          02 LINE 23 COLUMN 19 PIC X(20) USING ASKERLIK.
       01 EKRAN4.
          02 LINE 24 COLUMN 03 HIGHLIGHT VALUE
               'DEVAM ETMEK STYOR MUSUNUZ(E/H) --->'.
       01 EKRAN5.
          02 LINE 15 COLUMN 29 BLINK VALUE
                'BU KAYIT BULUNAMAMITIR...'.
       PROCEDURE DIVISION.
       BASLA.
           OPEN I-O OZLUK.
           IF DURUM NOT = '00' CLOSE OZLUK
                               OPEN OUTPUT OZLUK
                               CLOSE OZLUK
                               OPEN I-O OZLUK.
       OKU.
           DISPLAY EKRAN1.
           ACCEPT (06 06) OZNO.
           READ OZLUK INVALID KEY DISPLAY EKRAN5
                                  GO BK1.
           DISPLAY EKRAN2.
           ACCEPT EKRAN3.
           REWRITE OZKAYIT.
       BK1. DISPLAY EKRAN4.
       BK. ACCEPT (24 40) SEC.
           IF SEC = 'E' OR SEC = 'e' GO OKU.
           IF SEC = 'H' OR SEC = 'h' NEXT SENTENCE ELSE GO BK.
           CLOSE OZLUK.
           CHAIN 'OZM.COB'.
 
