       IDENTIFICATION DIVISION .
       PROGRAM-ID. VPUANL.
       AUTHOR. ?.
       DATE-WRITTEN. 21/08/87.
       DATE-COMPILED .
      *  VERGI IADE  PUANTAJ LISTESI PROGRAMI
      *  SON UPDATE : 4.4.89  // 26.03.90
       ENVIRONMENT DIVISION .
       SOURCE-COMPUTER. IBM-PC.
       OBJECT-COMPUTER. IBM-PC.
       INPUT-OUTPUT SECTION.
       FILE-CONTROL.
	   SELECT DOKUM    ASSIGN TO PRINTER.
	   SELECT VIADE    ASSIGN TO DISK
			   ORGANIZATION IS INDEXED
			   ACCESS MODE IS DYNAMIC
			   RECORD KEY SCL
			   FILE STATUS IS DURUM.
	   SELECT GENEL    ASSIGN TO DISK
			   ORGANIZATION IS INDEXED
			   ACCESS MODE IS DYNAMIC
			   RECORD KEY KSRK.
       DATA DIVISION.
       FILE SECTION.
      *
       FD VIADE  LABEL RECORD STANDARD VALUE OF FILE-ID 'VIADE.DAT'.
      *
       COPY VIADE.CPY.
      *
       FD GENEL  LABEL RECORD STANDARD VALUE OF FILE-ID 'GENEL.DAT'.
      *
       COPY SRKPAR.CPY.
      *
       FD DOKUM  LABEL RECORD IS OMITTED.
       01 SATIR 		    PIC X(132).
       WORKING-STORAGE SECTION.
       77 ISTEK 		    PIC 99.
       77 AY			    PIC 99.
       77 YIL			    PIC 99.
       77 DURUM 		    PIC XX.
       77 KONT			    PIC 9 VALUE 1.
       77 SAYNO 		    PIC 99 VALUE 0.
       77 SATSAY		    PIC 99.
       77 SSON-KONT		    PIC 9 VALUE 0.
       77 TOPLAM		    PIC 9(7).
       01  AYLAR.
	   02 FILLER PIC X(42) VALUE
	   '   OCAK  SUBAT   MART  NISAN  MAYISHAZIRAN'.
	   02 FILLER PIC X(42) VALUE
	   ' TEMMUZAGUSTOS  EYLUL   EKIM  KASIM ARALIK'.
       01  AYADI REDEFINES AYLAR.
	   02 AY-AD PIC X(7) OCCURS 12 TIMES.
       01  BAS1.
	   02 Y-SAD		    PIC X(20).
	   02 F 		    PIC X(95) VALUE ALL SPACES.
	   02 Y-AY		    PIC X(8).
	   02 F 		    PIC X(4) VALUE '- 19'.
	   02 Y-YIL		    PIC 99.
       01  BAS2.
	   02 Y-SUA		    PIC X(30).
	   02 F 		    PIC X(33) VALUE ALL SPACES.
	   02 F 		    PIC X(57) VALUE
	      'VERGI IADE BILGI LISTESI'.
	   02 F 		    PIC X(8) VALUE 'SAYFA :'.
	   02 Y-SAYNO		    PIC Z9.
       01  BAS.
	   02 F 		    PIC X(50) VALUE
	   ' SIC.NO     A D I  S O Y A D I        MAAS    IKRA'.
	   02 F 		    PIC X(50) VALUE
	   'MIYE    IZIN      RAPOR    TOPLAM KAZ     DIGER KA'.
	   02 F 		    PIC X(31) VALUE
	   'Z.   FATURA MIK.'.
       01  CIZ.
	   02 F 		    PIC X(50) VALUE
	   ' ------  ------------------------    ------   ----'.
	   02 F 		    PIC X(50) VALUE
	   '----   ------    ------    ----------     --------'.
	   02 F 		    PIC X(31) VALUE
	   '--   -----------'.
       01  KAYIT-YAZ.
	   02 F 		    PIC X VALUE ' '.
	   02 Y-BL		    PIC X(2)B.
	   02 Y-SR		    PIC X(3).
	   02 F 		    PIC X(2) VALUE '  '.
	   02 Y-ADI		    PIC X(24)BBBB.
	   02 Y-MAAS		    PIC ZZZZZz9BBB.
	   02 Y-IKR		    PIC ZZZZZz9BBB.
	   02 Y-IZIN		    PIC ZZZZZz9BBB.
	   02 Y-RAPOR		    PIC ZZZZZz9BBBBB.
	   02 Y-TOPLAM		    PIC ZZZZZZz9.
	   02 F 		    PIC X(13) VALUE '      .......'.
	   02 F 		    PIC X(14) VALUE '       .......'.
       SCREEN SECTION.
       01  EK1.
	   02 BLANK SCREEN.
	   02 LINE 03 COLUMN 20 HIGHLIGHT VALUE
	      '       VERGI  IADESI  ISLEMLERI'.
	   02 LINE 05 COLUMN 20 HIGHLIGHT VALUE
	      '  FATURA VE EK KAZANC KODLAMA LISTESI'.
	   02 LINE 07 COLUMN 20 HIGHLIGHT VALUE
	      '        ***  TUM BOLUMLER  ***'.
	   02 LINE 10 COLUMN 20 HIGHLIGHT VALUE 'AY  KODU :'.
	   02 LINE 12 COLUMN 20 HIGHLIGHT VALUE 'YIL KODU :'.
	   02 LINE 18 COLUMN 20 HIGHLIGHT VALUE
	      'YAZICIYI HAZIRLAYARAK  ENTER TUSUNA BASINIZ'.
	   02 LINE 22 COLUMN 20 HIGHLIGHT VALUE
	      '    F7:MENU, ESC:GERI, ENTER:ILERI'.
       01  HATA2.
	   02 LINE 24 COLUMN 20 BLINK HIGHLIGHT VALUE
	      '    ***  AY/YIL KODU HATALI  ***'.
       PROCEDURE DIVISION.
       BASLA.
	   OPEN INPUT  VIADE GENEL
		OUTPUT DOKUM.
	   IF DURUM = '30' STOP RUN.
       OKUYAZ.
	   DISPLAY EK1.
       T1. ACCEPT (10 31) AY WITH UPDATE.
	   ACCEPT ISTEK FROM ESCAPE KEY.
	   IF ISTEK = 08 GO DORT.
	   IF ISTEK = 0 NEXT SENTENCE ELSE GO T1.
       T2. ACCEPT (12 31) YIL WITH UPDATE.
	   ACCEPT ISTEK FROM ESCAPE KEY.
	   IF ISTEK = 01 GO T1.
	   IF ISTEK = 08 GO DORT.
	   IF ISTEK = 0 NEXT SENTENCE ELSE GO T2.
	   IF AY = 0 OR AY > 12 OR YIL = 0 DISPLAY HATA2 GO T1.
	   DISPLAY (22 01) ERASE.
	   MOVE AY-AD(AY) TO Y-AY.
	   MOVE YIL	  TO Y-YIL.
	   READ VIADE NEXT AT END GO DORT.
	   PERFORM BOL-SON.
	   MOVE 1 TO SSON-KONT.
	   PERFORM YAZ THRU YX UNTIL KONT = 0.
       DORT.
	   CLOSE VIADE DOKUM GENEL.
	   CHAIN 'VIADE.COB'.
       YAZ.
	   READ VIADE NEXT AT END MOVE 0 TO KONT.
	   IF KONT = 0 GO YX.
	   IF SR = 0 PERFORM BOL-SON GO YX.
	   MOVE BL	TO Y-BL.
	   MOVE SR	TO Y-SR.
	   MOVE AD-SOY	TO Y-ADI.
	   MOVE V-MAAS	TO Y-MAAS.
	   MOVE V-IKR	TO Y-IKR.
	   MOVE V-RAPOR TO Y-RAPOR.
	   MOVE V-IZIN	TO Y-IZIN.
	   COMPUTE TOPLAM = V-MAAS + V-IKR + V-RAPOR + V-IZIN.
	   MOVE TOPLAM	TO Y-TOPLAM.
	   WRITE SATIR FROM KAYIT-YAZ AFTER 2.
	   ADD 1 TO SATSAY.
	   IF SATSAY = 26 PERFORM SAYFA.
       YX. EXIT.
       BOL-SON.
	   MOVE BL TO KSRK.
	   READ GENEL  INVALID KEY DISPLAY 'UL GENEL'.
	   MOVE SAD TO Y-SAD.
	   MOVE SUA TO Y-SUA.
	   MOVE 0   TO SAYNO.
	   PERFORM SAYFA.
       SAYFA.
	   IF SSON-KONT = 1
			WRITE SATIR FROM BAS1 AFTER PAGE
		   ELSE WRITE SATIR FROM BAS1.
	   ADD 1 TO SAYNO.
	   MOVE 0 TO SATSAY.
	   MOVE SAYNO TO Y-SAYNO.
	   WRITE SATIR FROM BAS2 AFTER 2.
	   WRITE SATIR FROM BAS  AFTER 3.
	   WRITE SATIR FROM CIZ.
       END-OF-JOB.
